﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace UnivateProperties_API.Model.Communication
{
    public class PlaceHolder
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key]
        public int Id { get; set; }
        public string Name { get; set; }
        public string BoundTo { get; set; }
        [ForeignKey("Template")]
        public int TemplateId { get; set; }

        public virtual Template Template { get; set; }
    }
}
